Bug 1487146 - [abrt] dnfdragora-gui: _handle_dbus_error(): __init__.py:242:_handle_dbus_error:dnfdaemon.client.AccessDeniedError: Session is not authorized (36)
Summary: [abrt] dnfdragora-gui: _handle_dbus_error(): __init__.py:242:_handle_dbus_err...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnfdragora
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e7285fee2e8d0d13b1fe508e9fb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-31 10:29 UTC by Delete My Account
Modified: 2018-01-01 22:09 UTC (History)
4 users (show)

Fixed In Version: dnfdragora-1.0.1-8.git20171229.24e4647.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-31 21:26:05 UTC


Attachments (Terms of Use)
File: backtrace (2.10 KB, text/plain)
2017-08-31 10:29 UTC, Delete My Account
no flags Details
File: cgroup (386 bytes, text/plain)
2017-08-31 10:29 UTC, Delete My Account
no flags Details
File: cpuinfo (1.34 KB, text/plain)
2017-08-31 10:30 UTC, Delete My Account
no flags Details
File: environ (1.55 KB, text/plain)
2017-08-31 10:30 UTC, Delete My Account
no flags Details
File: mountinfo (3.63 KB, text/plain)
2017-08-31 10:30 UTC, Delete My Account
no flags Details
File: namespaces (102 bytes, text/plain)
2017-08-31 10:30 UTC, Delete My Account
no flags Details
File: open_fds (1.51 KB, text/plain)
2017-08-31 10:30 UTC, Delete My Account
no flags Details

Description Delete My Account 2017-08-31 10:29:50 UTC
Version-Release number of selected component:
dnfdragora-gui-1.0.1-6.git20170505.2a3b056.fc27

Additional info:
reporter:       libreport-2.9.1
cmdline:        /usr/bin/python3 /usr/bin/dnfdragora-updater
crash_function: _handle_dbus_error
exception_type: dnfdaemon.client.DaemonError
executable:     /usr/bin/dnfdragora-updater
kernel:         4.13.0-0.rc6.git4.1.fc28.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
__init__.py:242:_handle_dbus_error:dnfdaemon.client.AccessDeniedError: Session is not authorized (36)

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 361, in Lock
    return self._run_dbus_async('Lock')
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 293, in _run_dbus_async
    result = self._get_result(data)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 277, in _get_result
    self._handle_dbus_error(user_data['error'])
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 250, in _handle_dbus_error
    raise DaemonError(str(err))
dnfdaemon.client.DaemonError: g-io-error-quark: GDBus.Error:org.baseurl.DnfSystem.AccessDeniedError: Session is not authorized (36)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/dnfdragora-updater", line 25, in <module>
    dnfdragora.updater.Updater().main()
  File "/usr/lib/python3.6/site-packages/dnfdragora/updater.py", line 156, in main
    self.__tray.run(self.__main_loop())
  File "/usr/lib/python3.6/site-packages/dnfdragora/updater.py", line 151, in __main_loop
    self.__get_updates()
  File "/usr/lib/python3.6/site-packages/dnfdragora/updater.py", line 117, in __get_updates
    return self.__get_updates_func(False)
  File "/usr/lib/python3.6/site-packages/dnfdragora/updater.py", line 125, in __get_updates_func
    if self.__backend.Lock():
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 363, in Lock
    self._handle_dbus_error(err)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 242, in _handle_dbus_error
    raise AccessDeniedError(msg)
dnfdaemon.client.AccessDeniedError: Session is not authorized (36)

Local variables in innermost frame:
msg: 'Session is not authorized (36)'
exc: 'org.baseurl.DnfSystem.AccessDeniedError'
err: DaemonError('g-io-error-quark: GDBus.Error:org.baseurl.DnfSystem.AccessDeniedError: Session is not authorized (36)',)
self: <dnfdaemon.client.Client object at 0x7fc3dd798080>

Potential duplicate: bug 1482210

Comment 1 Delete My Account 2017-08-31 10:29:57 UTC
Created attachment 1320542 [details]
File: backtrace

Comment 2 Delete My Account 2017-08-31 10:29:59 UTC
Created attachment 1320543 [details]
File: cgroup

Comment 3 Delete My Account 2017-08-31 10:30:01 UTC
Created attachment 1320544 [details]
File: cpuinfo

Comment 4 Delete My Account 2017-08-31 10:30:03 UTC
Created attachment 1320545 [details]
File: environ

Comment 5 Delete My Account 2017-08-31 10:30:06 UTC
Created attachment 1320546 [details]
File: mountinfo

Comment 6 Delete My Account 2017-08-31 10:30:08 UTC
Created attachment 1320547 [details]
File: namespaces

Comment 7 Delete My Account 2017-08-31 10:30:10 UTC
Created attachment 1320548 [details]
File: open_fds

Comment 8 Fedora Update System 2017-12-29 23:19:27 UTC
dnfdaemon-0.3.18-5.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06

Comment 9 Fedora Update System 2017-12-29 23:25:48 UTC
dnfdaemon-0.3.18-5.fc26 dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b

Comment 10 Fedora Update System 2017-12-30 19:52:42 UTC
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06

Comment 11 Fedora Update System 2017-12-30 20:38:36 UTC
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b

Comment 12 Fedora Update System 2017-12-31 21:26:05 UTC
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-01-01 22:09:54 UTC
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.